'use strict';

var flag = true;
var submit_form = false;
var tr_request_id = null;

const tr_form_fields = [
    '#tr_name',
    '#tr_email',
    '#tr_organization',
    '#tr_website',
    '#tr_city',
    '#tr_country',
    '#tr_terms'
];

const tr_form_dd_fields = [
    '#tr_language'
];

const err_message = {
    'field_required': 'This field is required',
    'email': 'Please enter a valid Email',
    'accept':'Please accept Terms & Conditions'
};


//Remove Errors
const remove_form_errors = ( formId ) => {
    jQuery( '#' + formId + ' input' ).css( 'box-shadow', '0' );
    jQuery( '#' + formId + ' select' ).css( 'box-shadow', '0' );
    jQuery( '#' + formId + ' textarea' ).css( 'box-shadow', '0' );
};

//Apply CSS to Wrong Input
const invalid_input = ( el, vflag ) => {
    if ( vflag ) {
        jQuery( el ).addClass( "input-err" );
    } else {
        jQuery( el ).removeClass( "input-err" );
    }
};

//Check Blank Text Field
const is_blank = ( el ) => {
    if ( jQuery.trim( jQuery( el ).val() ) == "" ) {
        invalid_input( el, true );
        set_error_message( el, 'field_required' );
        flag = false;
    } else {
        invalid_input( el, false );
        set_error_message( el );
    }
};

//Check Blank Text Field
const is_checked = ( el ) => {
    if ( !jQuery( el ).prop( "checked" ) == true ) {
        invalid_input( el, true );
        set_error_message( el, 'accept' );
        flag = false;
    } else {
        invalid_input( el, false );
        set_error_message( el );
    }
};

//Email Validation
const is_email = ( el ) => {
    if ( jQuery.trim( jQuery( el ).val() ) != "" ) {
        var expr = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if ( !expr.test( jQuery.trim( jQuery( el ).val() ) ) ) {
            invalid_input( el, true );
            set_error_message( el, 'email' );
            flag = false;
        } else {
            invalid_input( el, false );
            set_error_message( el );
        }
    } else {
        invalid_input( el, true );
        set_error_message( el, 'email' );
    }
};

const set_error_message = ( el, message = "" ) => {
    if( message != "" && message != false ){
        jQuery( el ).parent().find( ".tr-err-text" ).text( err_message[message] );
    } else {
        jQuery( el ).parent().find( ".tr-err-text" ).text( "" );
    }
};

//Set Validation on Multiple IDs
const check_validation = ( arrlst, func ) => {
    jQuery.map( arrlst, function ( val ) {
        func( val );
    });
};


const tr_status_checking = () => {
    setTimeout(tr_status_check, 100);
}

const tr_status_check_success = (res) => {
    // debugger
    if(res && res.status === 'processing'){
        setTimeout(tr_status_check, 3000);
        tr_status_message(res.message);
        jQuery(".tr-status-section, .tr-status-spinner").removeClass( "tr-hidden" );
        jQuery('.tr-status-error-icon').addClass('tr-hidden');
        window.scrollTo(0, 0);
    } else if(res && res.status === 'success'){
        jQuery( ".tr-success-integration" ).removeClass( "tr-hidden" );
        jQuery( ".tr-form-wrap" ).addClass( "tr-hidden" );
        jQuery( ".tr-status-section" ).addClass( "tr-hidden" );
        tr_fill_success_template(res);
    } else {
        setTimeout(tr_status_check, 3000); // some kind of error? try again
        jQuery('.tr-spinner').hide();
    }
    //
    // setTimeout( () => {
    //     jQuery( document ).find( "#frm_tr_trusty" ).submit();
    // }, 1000 );
}

const tr_fill_success_template = (res) => {
    res.trusty_url = 'https://' + res.domain;
    tr_fill_template(res);
    // res.url =
    // var els = jQuery(".tr-success-integration");
    // var html = els.html();
    // html = html.replace('[[PASSWORD]]', res.password);
    // html = html.replace('[[USERNAME]]', res.username);
    // html = html.replace(/\[\[TRUSTYURL]]/g, url);
    // html = html.replace(/\[\[EMAIL]]/g, res.email);
    // // debugger
    // els.html(html);
}

const tr_fill_template = (res) => {
    var els = jQuery(".tr-success-integration");
    var html = els.html();
    // var url = 'https://' + res.domain;
    html = html.replace('[[PASSWORD]]', res.password);
    html = html.replace('[[USERNAME]]', res.username);
    html = html.replace(/\[\[TRUSTYURL]]/g, res.trusty_url);
    html = html.replace(/\[\[EMAIL]]/g, res.email);
    // debugger
    els.html(html);
}



const tr_status_check = () => {

    var formData = jQuery( '#frm_tr_trusty' ).serializeArray();
    // formData.request_id = tr_request_id;
    // formData += '&request_id=' + tr_request_id;
    var item = {}
    item ["name"] = 'request_id';
    item ["value"] = tr_request_id;
    formData.push(item);
    jQuery.ajax({
        url: ajaxurl,
        type: "POST",
        dataType:'json',
        data: {
            formData : JSON.stringify(formData),
            action : 'status_check',
        },
        success: tr_status_check_success
    });
}

const tr_status_message = (message) => {

    var html = `${message}`;
    // message += `<h3>ID: ${res.id}</h3>`;

    jQuery( ".tr-status-message" ).html( html );

}

const fill_template_if_created_site = () => {
    var siteData = jQuery(".tr-wrap").data("created-site");
    if(siteData){
        tr_fill_template(siteData);
        // debugger;
    }
}

const tr_disable_submit = () => {
    jQuery('#tr-submit').addClass('disabled');
}
const tr_enable_submit = () => {
    jQuery('#tr-submit').removeClass('disabled');
}

const validate_trusty_form = () => {
    flag = true;
    check_validation( tr_form_fields, is_blank );
    is_email( "#tr_email" );
    is_checked( "#tr_terms" );
    tr_disable_submit();
    if( flag ){
        var formData = jQuery( '#frm_tr_trusty' ).serializeArray();
        jQuery.ajax({
            url: ajaxurl,
            type: "POST",
            dataType:'json',
            data: {
                formData : JSON.stringify(formData),
                action : 'post_form_info',
            }, success: function (res) {
                if( res && res.status === 'success' ){
                    tr_status_message(res.message);
                    tr_request_id = res.request_id


                    jQuery( "#tr_success_registration" ).val( "1" );
                    jQuery( "#tr_registration_key" ).val( res.request_id );
                    jQuery( ".tr-form-wrap" ).addClass( "tr-hidden" );
                    jQuery( ".tr-spinner" ).show();

                    submit_form = true;
                    tr_status_checking();
                } else {
                    let err_message = "Error: Our servers seem to be busy. Please try again in 5 minutes.";
                    if( res && res.message ){
                        err_message = res.message;
                    }
                    tr_status_message( err_message );
                    jQuery('.tr-status-section').removeClass('tr-hidden');
                    jQuery('.tr-status-error-icon').removeClass('tr-hidden');
                    window.scrollTo(0, 0);
                    tr_enable_submit();
                }
            },
            complete: function(response){

            }
        });
    } else {
         tr_enable_submit(); // validation fail
    }
    return submit_form;
    // return flag;
};
    

( function( jQuery ) {
    jQuery(document).ready(function() {
        
        jQuery( document ).on( 'submit', '#frm_tr_trusty', function( e ){
            if( !submit_form ){
                validate_trusty_form();
                return false;
            } else {
                return true;
            }
        } );
        
        jQuery( document ).on( 'click', '#tr_edit_form', function( e ){            
            jQuery( ".tr-form-wrap" ).removeClass( "tr-hidden" );
            jQuery( ".tr-success-integration" ).addClass( "tr-hidden" );
            jQuery( this ).addClass( "tr-hidden" );
        } );

        jQuery(document).on('click','.wbs-button-copy-code',function(){
            document.querySelector("textarea").select();
            document.execCommand('copy');
        });
        fill_template_if_created_site();
    });
} )( jQuery );