<?php

$current_user = wp_get_current_user();
$current_user->user_email;

$protocol = ( !empty( $_SERVER['HTTPS'] ) && $_SERVER['HTTPS'] !== 'off' || $_SERVER['SERVER_PORT'] == 443 ) ? "https://" : "http://";
$domain_name = sanitize_url( $_SERVER['HTTP_HOST'] );

if( get_option( 'tr_trusty_url' ) ){
    $createdSiteData = [
        'username'      => esc_html( get_option('tr_username') ),
        'password'      => esc_html( get_option('tr_password') ),
        'email'         => esc_html( get_option('tr_email') ),
        'trusty_url'    => esc_html( get_option('tr_trusty_url') ),
    ];
} else {
    $createdSiteData = false;
}

$trCountryList =  [
        "af" => "Afghanistan",
        "al" => "Albania",
        "aq" => "Antarctica",
        "dz" => "Algeria",
        "as" => "American Samoa",
        "ad" => "Andorra",
        "ao" => "Angola",
        "ag" => "Antigua and Barbuda",
        "az" => "Azerbaijan",
        "ar" => "Argentina",
        "au" => "Australia",
        "at" => "Austria",
        "bs" => "Bahamas",
        "bh" => "Bahrain",
        "bd" => "Bangladesh",
        "am" => "Armenia",
        "bb" => "Barbados",
        "be" => "Belgium",
        "bm" => "Bermuda",
        "bt" => "Bhutan",
        "bo" => "Bolivia, Plurinational State of",
        "ba" => "Bosnia and Herzegovina",
        "bw" => "Botswana",
        "bv" => "Bouvet Island",
        "br" => "Brazil",
        "bz" => "Belize",
        "io" => "British Indian Ocean Territory",
        "sb" => "Solomon Islands",
        "vg" => "Virgin Islands, British",
        "bn" => "Brunei Darussalam",
        "bg" => "Bulgaria",
        "mm" => "Myanmar",
        "bi" => "Burundi",
        "by" => "Belarus",
        "kh" => "Cambodia",
        "cm" => "Cameroon",
        "ca" => "Canada",
        "cv" => "Cape Verde",
        "ky" => "Cayman Islands",
        "cf" => "Central African Republic",
        "lk" => "Sri Lanka",
        "td" => "Chad",
        "cl" => "Chile",
        "cn" => "China",
        "tw" => "Taiwan, Province of China",
        "cx" => "Christmas Island",
        "cc" => "Cocos (Keeling) Islands",
        "co" => "Colombia",
        "km" => "Comoros",
        "yt" => "Mayotte",
        "cg" => "Congo",
        "cd" => "Congo, the Democratic Republic of the",
        "ck" => "Cook Islands",
        "cr" => "Costa Rica",
        "hr" => "Croatia",
        "cu" => "Cuba",
        "cy" => "Cyprus",
        "cz" => "Czech Republic",
        "bj" => "Benin",
        "dk" => "Denmark",
        "dm" => "Dominica",
        "do" => "Dominican Republic",
        "ec" => "Ecuador",
        "sv" => "El Salvador",
        "gq" => "Equatorial Guinea",
        "et" => "Ethiopia",
        "er" => "Eritrea",
        "ee" => "Estonia",
        "fo" => "Faroe Islands",
        "fk" => "Falkland Islands (Malvinas)",
        "gs" => "South Georgia and the South Sandwich Islands",
        "fj" => "Fiji",
        "fi" => "Finland",
        "ax" => "Åland Islands",
        "fr" => "France",
        "gf" => "French Guiana",
        "pf" => "French Polynesia",
        "tf" => "French Southern Territories",
        "dj" => "Djibouti",
        "ga" => "Gabon",
        "ge" => "Georgia",
        "gm" => "Gambia",
        "ps" => "Palestinian Territory, Occupied",
        "de" => "Germany",
        "gh" => "Ghana",
        "gi" => "Gibraltar",
        "ki" => "Kiribati",
        "gr" => "Greece",
        "gl" => "Greenland",
        "gd" => "Grenada",
        "gp" => "Guadeloupe",
        "gu" => "Guam",
        "gt" => "Guatemala",
        "gn" => "Guinea",
        "gy" => "Guyana",
        "ht" => "Haiti",
        "hm" => "Heard Island and McDonald Islands",
        "va" => "Holy See (Vatican City State)",
        "hn" => "Honduras",
        "hk" => "Hong Kong",
        "hu" => "Hungary",
        "is" => "Iceland",
        "in" => "India",
        "id" => "Indonesia",
        "ir" => "Iran, Islamic Republic of",
        "iq" => "Iraq",
        "ie" => "Ireland",
        "il" => "Israel",
        "it" => "Italy",
        "ci" => "Côte d\'Ivoire",
        "jm" => "Jamaica",
        "jp" => "Japan",
        "kz" => "Kazakhstan",
        "jo" => "Jordan",
        "ke" => "Kenya",
        "kp" => "Korea, Democratic People\'s Republic of",
        "kr" => "Korea, Republic of",
        "kw" => "Kuwait",
        "kg" => "Kyrgyzstan",
        "la" => "Lao People\'s Democratic Republic",
        "lb" => "Lebanon",
        "ls" => "Lesotho",
        "lv" => "Latvia",
        "lr" => "Liberia",
        "ly" => "Libya",
        "li" => "Liechtenstein",
        "lt" => "Lithuania",
        "lu" => "Luxembourg",
        "mo" => "Macao",
        "mg" => "Madagascar",
        "mw" => "Malawi",
        "my" => "Malaysia",
        "mv" => "Maldives",
        "ml" => "Mali",
        "mt" => "Malta",
        "mq" => "Martinique",
        "mr" => "Mauritania",
        "mu" => "Mauritius",
        "mx" => "Mexico",
        "mc" => "Monaco",
        "mn" => "Mongolia",
        "md" => "Moldova, Republic of",
        "me" => "Montenegro",
        "ms" => "Montserrat",
        "ma" => "Morocco",
        "mz" => "Mozambique",
        "om" => "Oman",
        "na" => "Namibia",
        "nr" => "Nauru",
        "np" => "Nepal",
        "nl" => "Netherlands",
        "cw" => "Curaçao",
        "aw" => "Aruba",
        "sx" => "Sint Maarten (Dutch part)",
        "bq" => "Bonaire, Sint Eustatius and Saba",
        "nc" => "New Caledonia",
        "vu" => "Vanuatu",
        "nz" => "New Zealand",
        "ni" => "Nicaragua",
        "ne" => "Niger",
        "ng" => "Nigeria",
        "nu" => "Niue",
        "nf" => "Norfolk Island",
        "no" => "Norway",
        "mp" => "Northern Mariana Islands",
        "um" => "United States Minor Outlying Islands",
        "fm" => "Micronesia, Federated States of",
        "mh" => "Marshall Islands",
        "pw" => "Palau",
        "pk" => "Pakistan",
        "pa" => "Panama",
        "pg" => "Papua New Guinea",
        "py" => "Paraguay",
        "pe" => "Peru",
        "ph" => "Philippines",
        "pn" => "Pitcairn",
        "pl" => "Poland",
        "pt" => "Portugal",
        "gw" => "Guinea-Bissau",
        "tl" => "Timor-Leste",
        "pr" => "Puerto Rico",
        "qa" => "Qatar",
        "re" => "Réunion",
        "ro" => "Romania",
        "ru" => "Russian Federation",
        "rw" => "Rwanda",
        "bl" => "Saint Barthélemy",
        "sh" => "Saint Helena, Ascension and Tristan da Cunha",
        "kn" => "Saint Kitts and Nevis",
        "ai" => "Anguilla",
        "lc" => "Saint Lucia",
        "mf" => "Saint Martin (French part)",
        "pm" => "Saint Pierre and Miquelon",
        "vc" => "Saint Vincent and the Grenadines",
        "sm" => "San Marino",
        "st" => "Sao Tome and Principe",
        "sa" => "Saudi Arabia",
        "sn" => "Senegal",
        "rs" => "Serbia",
        "sc" => "Seychelles",
        "sl" => "Sierra Leone",
        "sg" => "Singapore",
        "sk" => "Slovakia",
        "vn" => "Viet Nam",
        "si" => "Slovenia",
        "so" => "Somalia",
        "za" => "South Africa",
        "zw" => "Zimbabwe",
        "es" => "Spain",
        "ss" => "South Sudan",
        "sd" => "Sudan",
        "eh" => "Western Sahara",
        "sr" => "Suriname",
        "sj" => "Svalbard and Jan Mayen",
        "sz" => "Swaziland",
        "se" => "Sweden",
        "ch" => "Switzerland",
        "sy" => "Syrian Arab Republic",
        "tj" => "Tajikistan",
        "th" => "Thailand",
        "tg" => "Togo",
        "tk" => "Tokelau",
        "to" => "Tonga",
        "tt" => "Trinidad and Tobago",
        "ae" => "United Arab Emirates",
        "tn" => "Tunisia",
        "tr" => "Turkey",
        "tm" => "Turkmenistan",
        "tc" => "Turks and Caicos Islands",
        "tv" => "Tuvalu",
        "ug" => "Uganda",
        "ua" => "Ukraine",
        "mk" => "Macedonia, the former Yugoslav Republic of",
        "eg" => "Egypt",
        "gb" => "United Kingdom",
        "gg" => "Guernsey",
        "je" => "Jersey",
        "im" => "Isle of Man",
        "tz" => "Tanzania, United Republic of",
        "us" => "United States",
        "vi" => "Virgin Islands, U.S.",
        "bf" => "Burkina Faso",
        "uy" => "Uruguay",
        "uz" => "Uzbekistan",
        "ve" => "Venezuela, Bolivarian Republic of",
        "wf" => "Wallis and Futuna",
        "ws" => "Samoa",
        "ye" => "Yemen",
        "zm" => "Zambia",
    ];


?>

<div class="tr-wrap" data-created-site='<?php echo json_encode($createdSiteData) ?>'>
    <div class="wbs-header-section">
        <div class="wbs-header-logo">
            <img src="<?php echo TWBS_PLUGIN_URL . "/public/img/WBS.png"; ?>" height="100px">
        </div>
        <div class="wbs-header-title-section">
            <h1>Whistleblowing Solution</h1>
            <h2>FREE. SECURE. INSTANT</h2>
        </div>
    </div>
    
    <!--<?php echo ( !esc_attr( get_option( 'tr_username' ) ) ) ? '' : 'tr-hidden' ?>-->

    <div class="tr-status-section tr-hidden">
        <div style="display: flex;align-items: center;">
            <span class="tr-status-error-icon tr-hidden">&#x26A0;</span>
            <svg class="tr-status-spinner tr-hidden" width="70" style="margin: .1em 1em;" height="70" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><circle cx="12" cy="3" r="0"><animate id="a" begin="0;l.end-0.5s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle><circle cx="16.50" cy="4.21" r="0"><animate id="b" begin="a.begin+0.1s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle><circle cx="7.50" cy="4.21" r="0"><animate id="l" begin="k.begin+0.1s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle><circle cx="19.79" cy="7.50" r="0"><animate id="c" begin="b.begin+0.1s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle><circle cx="4.21" cy="7.50" r="0"><animate id="k" begin="j.begin+0.1s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle><circle cx="21.00" cy="12.00" r="0"><animate id="d" begin="c.begin+0.1s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle><circle cx="3.00" cy="12.00" r="0"><animate id="j" begin="i.begin+0.1s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle><circle cx="19.79" cy="16.50" r="0"><animate id="e" begin="d.begin+0.1s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle><circle cx="4.21" cy="16.50" r="0"><animate id="i" begin="h.begin+0.1s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle><circle cx="16.50" cy="19.79" r="0"><animate id="f" begin="e.begin+0.1s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle><circle cx="7.50" cy="19.79" r="0"><animate id="h" begin="g.begin+0.1s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle><circle cx="12" cy="21" r="0"><animate id="g" begin="f.begin+0.1s" attributeName="r" calcMode="spline" dur="0.6s" values="0;2;0" keySplines=".27,.42,.37,.99;.53,0,.61,.73"/></circle></svg>
            <span class="tr-status-message"></span>
        </div>
    </div>
    <div class="tr-form-wrap <?php echo ( empty( esc_attr( get_option( 'tr_registration_key' ) ) ) ) ? '' : 'tr-hidden' ?>">
        
        <form method="post" action="options.php" id="frm_tr_trusty">
            <?php settings_fields( 'tr-free-wbs-plugin-settings-group' ); ?> 
            <?php do_settings_sections( 'tr-free-wbs-plugin-settings-group' ); ?> 
            
            <table class="form-table">
            
                <tr valign="top">
                    <th scope="row">Name</th>
                    <td>
                        <input type="text" id='tr_name' name="tr_name" value="<?php echo ( !empty( esc_html( get_option('tr_name') ) ) ) ? esc_html( get_option('tr_name') ) : esc_html( $current_user->display_name ); ?>"  />
                        <p class="tr-err-text"></p>
                    </td>
                    <td class="wbs-field-info">
                        <p class="wbs-italic-text-info">your full name</p>
                    </td>
                </tr>
                  
                <tr valign="top">
                    <th scope="row">Email</th>
                    <td>
                        <input type="text" id="tr_email" name="tr_email" value="<?php echo ( !empty( esc_html( get_option('tr_email') ) ) ) ? esc_html( get_option('tr_email') ) : esc_html( $current_user->user_email ); ?>" />
                        <p class="tr-err-text"></p>
                    </td>
                    <td class="wbs-field-info">
                        <p class="wbs-italic-text-info">Your corporate/business email address<br>(the email address will be initially registered as the email address of the first user of the solution and Trusty account details will also be sent to this address)</p>
                    </td>
                </tr>
                    
                <tr valign="top">
                    <th scope="row">Organization</th>
                    <td>
                        <input type="text" id="tr_organization" name="tr_organization" value="<?php echo esc_html( get_option('tr_organization') ); ?>" />
                        <p class="tr-err-text"></p>
                    </td>
                    <td class="wbs-field-info">
                        <p class="wbs-italic-text-info">Your company/organization full name</p>
                    </td>
                </tr>
                 
                <tr valign="top">
                    <th scope="row">Website</th>
                    <td>
                        <input type="url" id="tr_website" name="tr_website" value="<?php echo ( !empty( esc_url( get_option('tr_website') ) ) ) ? esc_url( get_option('tr_website') ) : esc_url( $domain_name ); ?>" />
                        <p class="tr-err-text"></p>
                    </td>
                    <td class="wbs-field-info">
                        <p class="wbs-italic-text-info">Your company/organization homepage</p>
                    </td>
                </tr>
                
                <tr valign="top">
                    <th scope="row">City</th>
                    <td>
                        <input type="text" id="tr_city" name="tr_city" value="<?php echo esc_html( get_option('tr_city') ); ?>" />
                        <p class="tr-err-text"></p>
                    </td>
                    <td class="wbs-field-info">
                        <p class="wbs-italic-text-info">Your company/organization main office/HQ city</p>
                    </td>
                </tr>
                    
                <tr valign="top">
                    <th scope="row">Country</th>
                    <td>
                        <!-- <input type="text" id="tr_country" name="tr_country" value="<?php  echo esc_html( get_option('tr_country') ); ?>" /> -->
                        <select id="tr_country" name="tr_country" value="<?php  echo esc_html( get_option('tr_country') ); ?>">
                            <option></option>
                            <?php foreach($trCountryList as $countryIso => $countryName){ ?>
                                    <option value="<?php echo $countryName ?>"><?php echo $countryName ?></option>

                            <?php } ?>
                        </select>


                        <p class="tr-err-text"></p>
                    </td>
                    <td class="wbs-field-info">
                        <p class="wbs-italic-text-info">Your company/organization main office/HQ country</p>
                    </td>
                </tr>
            
                <tr valign="top">
                    <th scope="row">Language</th>
                    <td>
                        <select id="tr_language" name="tr_language" value="<?php echo esc_html( get_option('tr_language') ); ?>" >
                            <option value="hr">Croatian</option>
                            <option value="cs">Czech</option>
                            <option value="da">Danish</option>
                            <option value="nl">Dutch</option>
                            <option value="en" selected>English</option>
                            <option value="fi">Finnish</option>
                            <option value="fr">French</option>
                            <option value="de">German</option>
                            <option value="it">Italian</option>
                            <option value="pl">Polish</option>
                            <option value="pt">Portuguese</option>
                            <option value="es">Spanish</option>
                            <option value="sv">Swedish</option>
                        </select>
                        <p class="tr-err-text"></p>
                    </td>
                    <td class="wbs-field-info">
                        <p class="wbs-italic-text-info">The default language of your Trusty account webpages</p>
                    </td>
                </tr>
            
                <tr valign="top">
                    <th scope="row">Terms</th>
                    <td>
                        <input id="tr_terms" type="checkbox" name="tr_terms" value="1" />I hereby accept the <a href="https://trusty.report/wp-content/uploads/2022/07/Trusty-Terms-of-Service-Bilingual-01082022.pdf" target="_blank">general terms</a>.
                        <p class="tr-err-text"></p>
                    </td>
                </tr>
        
            </table>
            
            <input type="hidden" id="tr_success_registration" name="tr_success_registration" value="">
            <input type="hidden" id="tr_registration_key" name="tr_registration_key" value="">

            <?php submit_button( "Submit", 'primary', 'tr-submit', true, 'style="width:14em;"' ); ?>
        
        </form>
        
    </div>
    
    <div class="tr-success-integration <?php echo ( !empty( esc_attr( get_option( 'tr_registration_key' ) ) ) ) ? '' : 'tr-hidden' ?>">
        <div class="tr-message">
            
            <div class="wbs-content-section">
                <div class="wbs-account-activated-message">
                    <p>Your Trusty account has been successfully activated!</p>
                </div>
                <div class="wbs-link-section"> 
                    <p class="wbs-diff-style">Your <span class="wbs-decorated-link-span">LINK TO THE WHISTLEBLOWING SOLUTION</span> is ready <a class="wbs-link-style" target="_blank" href="[[TRUSTYURL]]">[[TRUSTYURL]]</a></p>

                    <p class="wbs-italic-text">
                        We encourage you to make this link available to anyone from whom you wish to receive reports, either by publishing it in your webpage, intranet or sending it out in emails.
                    </p>

                    <p class="wbs-italic-text">
                        You can copy the following code to embed the link on the appropriate section within your website:
                    </p>

                    <div class="wbs-copy-code-section">
                        <button class="wbs-button-copy-code">Copy Code</button>
                        <span class="wbs-copy-code-content">
                            <textarea readonly><a href="[[TRUSTYURL]]" title="Whistleblowing">Whistleblowing</a></textarea>
                        </span>
                    </div>
                </div>
                <div class="wbs-link-section">
                    <p class="wbs-diff-style">
                        Access your <span class="wbs-decorated-link-span">CASE MANAGEMENT TOOL</span> here <a class="wbs-link-style" target="_blank" href="[[TRUSTYURL]]/manage">[[TRUSTYURL]]/manage</a>
                    </p>

                    <p class="wbs-italic-text">
                        Just click "User log" in the top right corner and enter your credentials. Details have also been forwarded to the following email: <a href="mailto:[[EMAIL]]">[[EMAIL]]</a>
                    </p>
                </div>
                <div class="wbs-username-password">
                    <ul>
                        <li>
                            <span class="wbs-bold-text">USERNAME: </span>
                            <span class="wbs-italic-text">[[USERNAME]]</span>
                        </li>
                        <li>
                            <span class="wbs-bold-text">PASSWORD: </span>
                            <span class="wbs-italic-text">[[PASSWORD]]</span>
                        </li>
                    </ul>
                </div>
                <div class="wbs-username-password">
                    <p>
                        <span class="wbs-info-icon">&#9432;</span>
                        <span style="font-style:italic;">Quick Guide: </span>
                        <span class="wbs-italic-text">Quick Guide and other documents are available <a class="wbs-decorated-link-span" href="https://www.trusty.report/documents" targrt="_blank">here</a>.</span>
                    </p>
                </div>
                <div class="wbs-rating">
                    <p class="wbs-italic-text">
                        We hope you'll find our big pink elephant helpful! Please help us by <a href="https://wordpress.org/support/plugin/trusty-whistleblowing-solution/reviews/" target="_blank" class="wbs-decorated-link-span">RATING</a> our plugin. It will only take a moment and we will be happy to replace the Trusty logo with your company/organization logo in your Trusty account.
                    </p>
                </div>
            </div>
        </div>
<!--        <button id="tr_edit_form" name="tr_edit_form" value="Edit Form" class="button button-primary">Edit Form</button>-->
    </div>

    <div class="tr-status">

    </div>

</div>