<?php

/**
 * The plugin bootstrap file
 *
 *
 * @link              https://www.trusty.report
 * @since             1.0.0
 * @package           tr_free_whistleblowing_solution
 *
 * @wordpress-plugin
 * Plugin Name:       Trusty Whistleblowing Solution
 * Plugin URI:        https://www.trusty.report
 * Description:       Trusty is a free, web-based whistleblowing solution, helping SMEs comply with the EU Whistleblower Protection Directive. It is installed on the virtual server in Germany provided by Hetzner Online GmbH. The solution consists of the front-end in multiple languages and the case management tool, which is intuitive and simple to use.
 * Version:           1.4.2
 * Author:            Trusty AG
 * Author URI:        https://www.trusty.report
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       tr_free_whistleblowing_solution
 * Domain Path:       /languages
 */

/**
 * If this file is called directly, abort.
 */
if ( ! defined( 'WPINC' ) ) {
    die;
}

/**
 *  For Settings Link in Plugin Listing
 */
function trusty_plugin_settings_link( $links ) { 
  $settings_link = '<a href="admin.php?page=trusty-form">Settings</a>'; 
  array_unshift( $links, $settings_link ); 
  return $links; 
}
$plugin = plugin_basename(__FILE__); 
add_filter("plugin_action_links_$plugin", 'trusty_plugin_settings_link' );


/**
 * Current plugin version.
 */
define( 'TWBS_FREE_WHISTLEBLOWING_SOLUTIION_VERSION', '1.0.0' );
define( 'TWBS_PLUGIN_URL', esc_url( plugins_url( "/", __FILE__ ) ) );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-plugin-name-activator.php
 */
function activate_tr_free_whistleblowing_solution() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-tr-free-whistleblowing-solution-activator.php';
    Tr_Free_Whistleblowing_Solution_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 */
function deactivate_tr_free_whistleblowing_solution() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-tr-free-whistleblowing-solution-deactivator.php';
    Tr_Free_Whistleblowing_Solution_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_tr_free_whistleblowing_solution' );
register_deactivation_hook( __FILE__, 'deactivate_tr_free_whistleblowing_solution' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-tr-free-whistleblowing-solution.php';



/**
 * Begins execution of the plugin.
 *
 * @since    1.0.0
 */
function run_tr_free_whistleblowing_solution() {

    $plugin = new Tr_Free_Whistleblowing_Solution();
   
    $plugin->run();

}

 

run_tr_free_whistleblowing_solution();


?>